# Changed by Makefile of cvs.
%define version 0.15
%define name drakfirsttime

Summary:	The Mandrake First Time Wizard  
Name:		%{name}
Version:	%{version}
Release:        26mdk
#cvs source
# http://www.linuxmandrake.com/en/cvs.php3
Source0:	%{name}-%{version}.tar.bz2
URL:		http://people.mandrakesoft.com/~daouda/mandrake/firsttime.html
License:	GPL
Group:		System/Configuration/Other
Requires:	drakxtools >= 1.1.5-97mdk, perl-GTK, perl-MDK-Common, perl-GTK-GdkImlib, qiv
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  gettext make

%description
The Mandrake First Wizard is a config tool to help user set up some
basics things like themes&window managers, registration at 
mandrakeclub/mandrakeexpert the first time you login.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT install 

#install lang
%{find_lang} drakfw

#install menu icon
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f drakfw.lang
%defattr(-,root,root)
%doc README COPYING
%{_prefix}/X11R6/bin/*
%{_datadir}/drakfirsttime

%changelog
* Thu Mar 14 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-26mdk
- set gtkrc for default gnome (Fcrozat)

* Fri Mar  8 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-25mdk
- fixed typo in gnome/sawfish default theme

* Fri Mar  8 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-24mdk
- parse .gnome/gdm correctly (thx to FredC)
- add .desktop in home to save session from init 3
- wait_message while connnecting to mandrakeonline.
- sawmill default preference 

* Sun Mar  3 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-23mdk
- prevent frameless browser at "low" resolution (800x600)
- integrated po (please use the cvs for any modif)

* Thu Feb 28 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.15-22mdk
- integrated Basque translations

* Tue Feb 19 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-21mdk
- locales handling returns back to install.
- code update (themes).

* Sun Feb 17 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-20mdk
- autologin fix
- Cancel button grab focus
- Connection status bar
- resync with Van der Eijk build (please use the cvs - soft/ftw)

* Sat Feb 16 2002 Stefan van der Eijk <stefan@eijk.nu> 0.15-19mdk
- BuildRequires

* Thu Feb 14 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-18mdk
- put system instead of backticks when launching browser
- create Home Documents directory	

* Wed Feb 13 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-17mdk
- default browser is konqueror. 
- Justify text.
- respect chooser (kdm/gdm) choice when cancel button clicked .
- cleanup.

* Mon Jan 14 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-16mdk
- code release
- new pixmaps

* Fri Nov 30 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-15mdk
- code cleanup.

* Tue Oct 30 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-14mdk
- code update

* Tue Oct 16 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-13mdk
- rebuild against libpng3
- add doc.


* Wed Oct  3 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-12mdk
- handle specific charset (CN,uk,ja...)

* Wed Oct  3 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-11mdk
- euro support fix when using kde themes.
- add kdektoprc, konquerorrc files. 
- cleanup code (on process)

* Mon Oct  1 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-10mdk
- fix sawfish themes.

* Tue Sep 25 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-9mdk
- fr.po

* Tue Sep 25 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-8mdk
- cvs update
- po updates

* Mon Sep 24 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-7mdk
- code update.
- fix themes selection. 

* Sun Sep 23 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-6mdk
- code update (cleanup)

* Sun Sep 23 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-5mdk
- code update
- fix lang handling
- set mouse cursor to normal

* Tue Sep 18 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-4mdk
- code update 
- spec cleanup

* Tue Sep 18 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-3mdk
- code update

* Mon Sep 17 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-2mdk
- code snapshot
- add mail client configuration page (kmail and netscape).

* Fri Sep  7 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-1mdk
- First mandrake package ( alpha release ) 

